# Class CIM_PCIeSwitch
extends CIM_PCIDevice

Capabilities and management of a PCI device that provide PCI Express switch capability.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_LogicalDevice
|
+--CIM_Controller
|
+--CIM_PCIController
|
+--CIM_PCIDevice
|
+--CIM_PCIeSwitch

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Capabilities and management of a PCI device that provide PCI Express switch capability.
UMLPackagePath | string | CIM::Device::Controller
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
NumberOfPorts | uint16 |
Description | string | The number of ports that are exposed by this switch.
SecondaryBusNumbers | uint8[] |
Description | string | The number of the PCI bus segments to which the secondary interfaces of the switch are connected.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Availability | uint16 | CIM_LogicalDevice
BusNumber | uint8 | CIM_PCIDevice
CacheLineSize | uint8 | CIM_PCIController
Caption | string | CIM_ManagedElement
ClassCode | uint8 | CIM_PCIController
CommandRegister | uint16 | CIM_PCIController
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_LogicalDevice
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DeviceID | string | CIM_LogicalDevice
DeviceNumber | uint8 | CIM_PCIDevice
DeviceSelectTiming | uint16 | CIM_PCIController
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ErrorCleared | boolean | CIM_LogicalDevice
ErrorDescription | string | CIM_LogicalDevice
ExpansionROMBaseAddress | uint32 | CIM_PCIController
FunctionNumber | uint8 | CIM_PCIDevice
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
InterruptPin | uint16 | CIM_PCIController
LastErrorCode | uint32 | CIM_LogicalDevice
LatencyTimer | uint8 | CIM_PCIController
MaxLatency | uint8 | CIM_PCIDevice
MaxNumberControlled | uint32 | CIM_Controller
MaxQuiesceTime | uint64 | CIM_LogicalDevice
MinGrantTime | uint8 | CIM_PCIDevice
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PCIDeviceID | uint16 | CIM_PCIDevice
PowerManagementSupported | boolean | CIM_LogicalDevice
PowerOnHours | uint64 | CIM_LogicalDevice
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProtocolDescription | string | CIM_Controller
ProtocolSupported | uint16 | CIM_Controller
RequestedState | uint16 | CIM_EnabledLogicalElement
RevisionID | uint8 | CIM_PCIDevice
SelfTestEnabled | boolean | CIM_PCIController
Status | string | CIM_ManagedSystemElement
StatusInfo | uint16 | CIM_LogicalDevice
SubsystemID | uint16 | CIM_PCIDevice
SubsystemVendorID | uint16 | CIM_PCIDevice
SystemCreationClassName | string | CIM_LogicalDevice
SystemName | string | CIM_LogicalDevice
TimeOfLastReset | datetime | CIM_Controller
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TotalPowerOnHours | uint64 | CIM_LogicalDevice
TransitioningToState | uint16 | CIM_EnabledLogicalElement
VendorID | uint16 | CIM_PCIDevice
AdditionalAvailability | uint16[] | CIM_LogicalDevice
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
BaseAddress | uint32[] | CIM_PCIDevice
Capabilities | uint16[] | CIM_PCIController
CapabilityDescriptions | string[] | CIM_PCIController
IdentifyingDescriptions | string[] | CIM_LogicalDevice
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_LogicalDevice
PowerManagementCapabilities | uint16[] | CIM_LogicalDevice
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
BISTExecution | uint8 | CIM_PCIController
EnableDevice | uint32 | CIM_LogicalDevice
OnlineDevice | uint32 | CIM_LogicalDevice
QuiesceDevice | uint32 | CIM_LogicalDevice
RequestStateChange | uint32 | CIM_EnabledLogicalElement
Reset | uint32 | CIM_LogicalDevice
RestoreProperties | uint32 | CIM_LogicalDevice
SaveProperties | uint32 | CIM_LogicalDevice
SetPowerState | uint32 | CIM_LogicalDevice